version: "3"
services:
  api:
    build:
      context: .
      dockerfile: build/package/myapi/Dockerfile
      args:
        IMAGE_NAME: ${GO_IMAGE}
        APP_NAME: ${APP_NAME}
        SERVICE: myapi
        PORT: ${API_PORT}
    env_file: 
     - ./.env
    volumes:
      - ./:/${APP_NAME}
    ports:
      - ${API_PORT}:${API_PORT}
    links: 
      - ${DB_HOST}:${DB_HOST}
  # postgredb:
  #   image: ${DB_IMAGE}
  #   ports:
  #     - ${DB_PORT}:${DB_PORT}
  #   environment:
  #     POSTGRES_USER: ${DB_USER}
  #     POSTGRES_DBNAME: ${DB_NAME}
  #     POSTGRES_PASSWORD: ${DB_PASS}
  #     POSTGRES_PORT: ${DB_PORT}
  mysqldb:
    image: ${DB_IMAGE}
    ports:
      - ${DB_PORT}:${DB_PORT}
    command: --default-authentication-plugin=mysql_native_password
    environment:
      MYSQL_ROOT_PASSWORD: ${DB_PASS}
      MYSQL_DATABASE: ${DB_NAME}
      MYSQL_USER: ${DB_USER}
      MYSQL_PASSWORD: ${DB_PASS}
